Subject: Re: 2.6.28-rc3(-next20081103) suspend issues on Lenovo X200

From: Jesse Barnes <[email-masked]>
Date: Mon, 3 Nov 2008 17:04:25 -0800

On Monday, November 3, 2008 4:55 pm Rafael J. Wysocki wrote:
> On Monday, 3 of November 2008, Nico -telmich- Schottelius wrote:
> > Updating my last post, system now runs with
> > the new Debian xserver-xorg-intel package:
> >
> > 2.6.28-rc3 and 2.6.28-rc3-next-20081103: acpi_sleep=s3_bios
> >    - suspend on console works
> >    - wakeup on console works
> >    - xorg (intel 2.3.2-2+lenny5) works
> >    - suspend on xorg works
> >    - wakeup on xorg is BROKEN:
> >       - console (kernel messages) is seen for a few seconds
> >       - kernel switches back to X
> >       - screen is partly drawn: X cursor is shown, background, no windows
> >       - system hard reboots after about 20 seconds (watchdog?)
> >
> > The Debian packages includes the lates G45 bugfix:
> >
> > http://packages.debian.org/changelogs/pool/main/x/xserver-xorg-video-inte
> >l/xserver-xorg-video-intel_2.3.2-2+lenny5/changelog
> >
> > So I'm waiting for your input on where to update what next ;-)
>
> Jesse, any ideas?  Can that be related to the DRM problem with radeon?

On many machines, we've found that re-POSTing the video device is incompatible 
with the i915 driver's suspend/resume functionality.  So things like s3_bios 
and vbetool shouldn't be used if the i915 driver works by itself.

-- 
Jesse Barnes, Intel Open Source Technology Center